function J = getCost(model, U, normType)
% getCost Returns cost function for YALMIP
%
% Input: 'model' system dynamics
%        'U' sdpvar for controls
%        'normType' type of norm (1, 2, 'Inf')
% Output: 'J' cost function for YALMIP
%
% :copyright: 2014 by the California Institute of Technology
% :license: BSD 3-Clause, see LICENSE for details
    
if strcmp(model, 'int')
    J = norm(U, normType);

elseif strcmp(model, 'quadrotor')
    J = norm(U, normType);
%         c = [1 1 zeros(1,8)];
%         J = repmat(c,1,N+1)*X + norm(U,Inf);
%         R = diag([1/4 1/2 1/2]);
%         J = U'*kron(eye(N),R)*U;% + repmat(c,1,N+1)*X;

elseif strcmp(model, 'car')
    J = norm(U, normType);
%         c = [1 1 0 ];
%         J = repmat(c,1,N+1)*X + 1*norm(U,Inf);

else
    error('Invalid system model.');
end

end
